[ VIGRA Homepage | Class Index | Function Index | File Index | Main Page ]

| ImageIterator Class Template Reference |
--- | --- | ---

Standard 2D random access iterator for images that store the data in a linear array. More...

`#include "vigra/imageiterator.hxx"`

Inheritance diagram for ImageIterator:

## Public Types
typedef Base::pointer | pointer
typedef Base::difference_type | difference_type
## Public Methods
| ImageIterator (pointer base, int ystride)
| ImageIterator ()

## Detailed Description

### template<class PIXELTYPE>
class vigra::ImageIterator< PIXELTYPE >

Standard 2D random access iterator for images that store the data in a linear array.

Most functions and local types are inherited from ImageIteratorBase.

See the paper: U. Koethe: Reusable Algorithms in Image Processing for a discussion of the concepts behind ImageIterators.

#include "vigra/imageiterator.hxx"

Namespace: vigra

## Member Typedef Documentation

typedef Base::difference_type difference_type

| the iterator's difference type (argument type of `iter[diff]`) Reimplemented from ImageIteratorBase< ImageIterator< PIXELTYPE >, PIXELTYPE, PIXELTYPE &, PIXELTYPE * >.

typedef Base::pointer pointer

| the iterator's pointer type (return type of `iter.operator->()`) Reimplemented from ImageIteratorBase< ImageIterator< PIXELTYPE >, PIXELTYPE, PIXELTYPE &, PIXELTYPE * >.

## Constructor & Destructor Documentation

ImageIterator | ( | pointer | base,
|  | int | ystride
| ) | `[inline]`

| Construct from raw memory with a vertical stride of `ystride`. `ystride` must equal the physical image width (row length), even if the iterator will only be used for a sub image. If the raw memory is encapsulated in an image object this object should have a factory function that constructs the iterator.

ImageIterator | ( |  | ) | `[inline]`

| Default constructor

The documentation for this class was generated from the following file:

- vigra/imageiterator.hxx

© Ullrich Köthe (koethe@informatik.uni-hamburg.de) Cognitive Systems Group, University of Hamburg, Germany | html generated using doxygen and Python VIGRA 1.3.2 (27 Jan 2005)